EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_TAP =
   EFL_EVENT_DESCRIPTION("gesture,tap");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_DOUBLE_TAP =
   EFL_EVENT_DESCRIPTION("gesture,double_tap");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_TRIPLE_TAP =
   EFL_EVENT_DESCRIPTION("gesture,triple_tap");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_LONG_PRESS =
   EFL_EVENT_DESCRIPTION("gesture,long_press");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_MOMENTUM =
   EFL_EVENT_DESCRIPTION("gesture,momentum");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_FLICK =
   EFL_EVENT_DESCRIPTION("gesture,flick");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_ROTATE =
   EFL_EVENT_DESCRIPTION("gesture,rotate");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_ZOOM =
   EFL_EVENT_DESCRIPTION("gesture,zoom");
EVAS_API EVAS_API_WEAK const Efl_Event_Description _EFL_EVENT_GESTURE_CUSTOM =
   EFL_EVENT_DESCRIPTION("gesture,custom");

static Eina_Bool
_efl_canvas_gesture_events_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifdef EFL_CANVAS_GESTURE_EVENTS_EXTRA_OPS
   EFL_OPS_DEFINE(ops, EFL_CANVAS_GESTURE_EVENTS_EXTRA_OPS);
   opsp = &ops;
#endif

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_gesture_events_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Gesture_Events",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_canvas_gesture_events_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_gesture_events_interface_get, &_efl_canvas_gesture_events_class_desc, NULL, NULL);
